﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx Channel Select IEEE
DATE:                  2008-11-06 10:33:47
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       50
=============================================================================
#
#  Procedure Author:  DAC, DFM, ZY
#
#  Model(s) Covered:  545xx series oscilloscopes
#
# Compatibility:      MET/CAL 7.20 SP1 (7.20x) or later
#
# Subprocedures:      None
#
# Required Files:     None
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @Chan == 1
  1.002  MATH         @Ch1 = "ON";  @Ch2 = "OFF"; @Ch3 ="OFF"; @Ch4 = "OFF"
  1.003  ELSEIF       @Chan == 2
  1.004  MATH         @Ch1 = "OFF"; @Ch2 = "ON";  @Ch3 ="OFF"; @Ch4 = "OFF"
  1.005  ELSEIF       @Chan == 3
  1.006  MATH         @Ch1 = "OFF"; @Ch2 = "OFF"; @Ch3 ="ON";  @Ch4 = "OFF"
  1.007  ELSEIF       @Chan == 4
  1.008  MATH         @Ch1 = "OFF"; @Ch2 = "OFF"; @Ch3 ="OFF"; @Ch4 = "ON"
  1.009  ENDIF

  1.010  MATH         L[1] = FINDI(@ModelNum, "54540", 0)
  1.011  MATH         L[2] = FINDI(@ModelNum, "54542", 0)

  1.012  IEEE         MENU SHOW
  1.013  IEEE         CHANNEL1:DISPLAY [V @Ch1]
  1.014  IEEE         CHANNEL2:DISPLAY [V @Ch2]

  1.015  IF           L[1] || L[2]
  1.016  IEEE         CHANNEL3:DISPLAY [V @Ch3]
  1.017  IEEE         CHANNEL4:DISPLAY [V @Ch4]
  1.018  ENDIF

  1.019  END
